<?php
/**
 * This file implements the Sidebar Comments plugin.
 */
if( !defined('EVO_MAIN_INIT') ) die( 'Please, do not access this page directly.' );


/**
 * Sidebar Comments Plugin
 *
 * This plugin displays the last n comments in the sidebar of your blog.
 *
 * @package plugins
 */
class sidebarcomments_plugin extends Plugin
{
	/**
	 * Variables below MUST be overriden by plugin implementations,
	 * either in the subclass declaration or in the subclass constructor.
	 */
	var $name = 'Sidebar Comments';
	var $code = 'SBcommnt';
	var $priority = 50;
	var $version = '2.0';
	var $author = 'Danny Ferguson';
	var $help_url = 'http://manual.b2evolution.net/Sidebarcomments_plugin';
	var $group = 'widget';

	function PluginInit( $params )
	{
		$this->short_desc = T_('Display recent comments in the sidebar');
		$this->long_desc = T_('This plugin adds a widget that displays a list of recent comments in your sidebar.');
	}


	/**
	 * Event handlers:
	 */

	/**
	 * Event handler: SkinTag
	 *
	 * {@internal categories_plugin::SkinTag(-)}}
	 *
	 * @param array Associative array of parameters. Valid keys are:
	 *                - 'block_start' : (Default: '<div class="bSideItem">')
	 *                - 'block_end' : (Default: '</div>')
	 *                - 'list_start' : (Default '<ul>')
	 *                - 'list_end' : (Default '</ul>')
	 *                - 'line_start' : (Default '<li>')
	 *                - 'line_end' : (Default '</li>')
	 * 	 	  - 'limit' : (number of comments to display, Default 5)
	 * @return boolean did we display?
	 */
	function SkinTag( $params )
	{
		global $cache_categories, $Blog;
		/**
		 * Default params:
		 */
		// This is what will enclose the block in the skin:
		if(!isset($params['block_start'])) $params['block_start'] = '<div class="bSideItem">';
		if(!isset($params['block_end'])) $params['block_end'] = "</div>\n";

		// Title:
		if(!isset($params['block_title_start'])) $params['block_title_start'] = '<h1>';
		if(!isset($params['block_title_end'])) $params['block_title_end'] = '</h1>';
		if(!isset($params['title']))
			$params['title'] = T_('Last Comments');

		// This is what will enclose the category list:
		if(!isset($params['list_start'])) $params['list_start'] = '<ul>';
		if(!isset($params['list_end'])) $params['list_end'] = "</ul>\n";

		// This is what will separate the category links:
		if(!isset($params['line_start'])) $params['line_start'] = '<li>';
		if(!isset($params['line_end'])) $params['line_end'] = "</li>\n";

		// This is the number of comments we want to display:
		if(!isset($params['limit'])) $params['limit'] = 5;

		// Save params for others functions:
		$this->params = $params;

		// START DISPLAY:
		echo $params['block_start'];

		echo $params['block_title_start'] . $params['title'] . $params['block_title_end'];

		echo $params['list_start'];

		$show_statuses = array('published');

		$CommentList = & new CommentList( $Blog, "'comment','trackback','pingback'", array('published'), '',	'',	'DESC',	'',	20 );

		$CommentList->display_if_empty();

		while( $Comment = & $CommentList->get_next() )
		{ // Loop through comments:
			// Load comment's Item object:
			$Comment->get_Item();
			?>
			<!-- ========== START of a COMMENT ========== -->
			<?php echo $params['line_start'] ?>
			<?php //echo T_('In response to:') ?>
			<span class="sidebarcomments_author"><?php $Comment->author() ?></span> - 
			<span class="sidebarcomments_title"><?php $Comment->Item->title( array(
				'link_type' => 'permalink',
					) ); ?></span>
			<?php //$Comment->author_url( '', ' &middot; ', '' ) ?>
			<?php //$Comment->permanent_link( '#', '#', 'permalink_right' ); ?>
			<?php //$Comment->edit_link( ' &middot; ' ) /* Link to backoffice for editing */ ?>
			<?php //$Comment->delete_link( ' &middot; ' ); /* Link to backoffice for deleting */ ?>			
			<?php echo $params['line_end']?>

			<!-- ========== END of a COMMENT ========== -->
			<?php
		}	// End of comment loop.



		echo $params['line_start'];
		?><span class="sidebarcomments_more"><a href="<?php $Blog->disp( 'lastcommentsurl', 'raw' ) ?>"><?php echo T_('More...') ?></a></span><?php
		echo $params['line_end'];	
		echo $params['list_end'];
		echo $params['block_end'];

		return true;		
	}
}
 ?>
